Subject: bug#37939: guix-install.sh: Fails to detect signing key on Debian10.

From: Kai Mertens <[email-masked]>
Date: Sat, 16 Nov 2019 02:29:27 +0100

On Sun, 27 Oct 2019 05:15:17 -0700
Bengt Richter <[email-masked]> wrote:

> Hi again Kai,
> 
> On +2019-10-27 09:59:39 +0100, Kai Mertens wrote:
> > Dear GNU Guix developers,
> > 
> > [...]
> >  
> 
> man sudo ;-)

Oops.

> 
> specifically the -i option
> 
> I think if you are a "sudoer" plain sudo switches you to root,
> but keeps the environment you were in, with PATH etc, 
> but sudo -i will set the environment as if you logged in as root.
> 
> try "sudo set" and compare with "sudo -i set" 
> (or env in place of set)

Well, I tried "sudo --preserve-env ./guix-install.sh" on debian10, that
seems to work fine and the key in the sudoer’s keyring is detected. On
trisquel, I am used to use plain sudo instead.

Anyway – it is of course not a bug of the guix script. Maybe a usage
hint within the guix documentation in section 2.1 would be nice?

Thanks for your help,
best regards
Kai

-- 
Kai Mertens <[email-masked]>
OpenPGP Key-ID: 0x40B15AB4B05B5BF1 on keys.gnupg.net
Key fingerprint = 7C83 0A80 01FF 679C 6E8E  AFD3 40B1 5AB4 B05B 5BF1
What is that? Please check: https://emailselfdefense.fsf.org/en/